# Class TOLEDragAndDropMgr

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOLEDragAndDrop

## Declaration

`type TOLEDragAndDropMgr = class(TObject)`

## Description

This item has no description.

## Hierarchy

- TObject
- TOLEDragAndDropMgr

## Overview

### Methods

| `function GetStorageForBytes(var aMedium : TStgMedium; const aData : pointer; aLength : NativeUInt) : boolean;`
| `function GetStorageForString(var aMedium : TStgMedium; const aData : WideString) : boolean; overload;`
| `function GetStorageForString(var aMedium : TStgMedium; const aData : AnsiString) : boolean; overload;`
| `function GetStorageForFileDescriptor(var aMedium : TStgMedium; const aFileName : string) : boolean;`
| `function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`
| `function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`
| `function DragLeave: HRESULT; virtual;`
| `function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`

## Description

### Methods

| `function GetStorageForBytes(var aMedium : TStgMedium; const aData : pointer; aLength : NativeUInt) : boolean;`
This item has no description.

| `function GetStorageForString(var aMedium : TStgMedium; const aData : WideString) : boolean; overload;`
This item has no description.

| `function GetStorageForString(var aMedium : TStgMedium; const aData : AnsiString) : boolean; overload;`
This item has no description.

| `function GetStorageForFileDescriptor(var aMedium : TStgMedium; const aFileName : string) : boolean;`
This item has no description.

| `function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`
This item has no description.

| `function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`
This item has no description.

| `function DragLeave: HRESULT; virtual;`
This item has no description.

| `function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.